Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1741099 - ipsilon fails to install in Fedora 31+
Summary: ipsilon fails to install in Fedora 31+
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ipsilon
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-08-14 09:12 UTC by Miro Hrončok
Modified: 2023-09-14 05:41 UTC (History)
3 users (show)

Fixed In Version: ipsilon-2.1.0-8.git20190910.aa89b1f.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 16:34:32 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-14 09:12:56 UTC
ipsilon-2.1.0-7.fc31.noarch fails to install in Fedora rawhide:

  package ipsilon-2.1.0-7.fc31.noarch requires ipsilon-base = 2.1.0-7.fc31, but none of the providers can be installed
  nothing provides python2-cherrypy needed by ipsilon-base-2.1.0-7.fc31.noarch

This is most likely caused by a dependency that was retired.
Please drop the dependency, unretire the dependency or remove the package. Thanks

Comment 1 Miro Hrončok 2019-08-19 21:08:27 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 2 Miro Hrončok 2019-08-21 15:46:58 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 3 Miro Hrončok 2019-08-28 12:04:57 UTC
Retired the package in master and f31. Let me know if you want me review it once (if) it is added back.

Comment 4 Neal Gompa 2019-08-29 14:33:51 UTC
@Miro, what would I need to do to bring this back? A new review request or what?

Comment 5 Miro Hrončok 2019-08-29 14:41:24 UTC
No new review needed until 8 weeks after retirement. Just open a ticket in https://pagure.io/releng/new_issue?template=package_unretirement

Comment 6 Miro Hrončok 2019-08-30 11:57:12 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 7 Adam Williamson 2019-08-30 16:24:51 UTC
We don't really need a separate FE for every single package that was supposed to be retired but wasn't due to the freeze. We can just file a single bug to cover this situation, I think. I'm unproposing all the separate retirement bugs.

Comment 8 Miro Hrončok 2019-08-31 07:39:14 UTC
I've verified that the package is gone from the fedora repo. Thanks and sorry for panicking.

Comment 9 Fedora Update System 2019-09-11 18:14:22 UTC
FEDORA-2019-98fd0c0bbe has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-98fd0c0bbe

Comment 10 Fedora Update System 2019-09-14 16:34:32 UTC
ipsilon-2.1.0-8.git20190910.aa89b1f.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Red Hat Bugzilla 2023-09-14 05:41:38 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.